[Bug 11596] New: net-tools 1.60+git20161116.90da8a0-1 & later compatibility

bugzilla at busybox.net bugzilla at busybox.net
Wed Jan 9 21:12:30 UTC 2019


https://bugs.busybox.net/show_bug.cgi?id=11596

            Bug ID: 11596
           Summary: net-tools 1.60+git20161116.90da8a0-1 & later
                    compatibility
           Product: Busybox
           Version: 1.30.x
          Hardware: All
                OS: Linux
            Status: NEW
          Severity: normal
          Priority: P5
         Component: Networking
          Assignee: unassigned at busybox.net
          Reporter: spam at ipik.org
                CC: busybox-cvs at busybox.net
  Target Milestone: ---

Hi

net-tools 1.60+git20161116.90da8a0-1 (as shipped in Debian Stretch) has changed
some utilities output as per this notice:

net-tools (1.60+git20161116.90da8a0-1) unstable; urgency=medium
After 15 years without upstream development, net-tools is being worked on
again, fixing many long-standing issues.
The bad news is that the output of many commands has changed, and it is sure
to break scripts that relied on parsing it.
If you have customs scripts that use any of these commands, please make sure
they still work after this upgrade:
netstat, ifconfig, ipmaddr, iptunnel, mii-tool, nameif, plipconfig, rarp,
route, slattach, arp.
Apologies in advance for the trouble that this may cause, but maintaining a
separate version of net-tools just to keep the old format is something I am
not able to do.
-- Martín Ferrari tincho at debian.org Mon, 26 Dec 2016 05:29:25 +0000

For instance ifconfig output differs between Busybox (up to 1.30) and Debian
Stretch; respectively:
inet addr 192.168.1.101  Bcast 192.168.1.255  Mask 255.255.255.0
inet 192.168.1.101  netmask 255.255.255.0  broadcast 192.168.1.255


Would setting a compatibility config on old/new format make sense for these
utilities?

-- 
You are receiving this mail because:
You are on the CC list for the bug.


More information about the busybox-cvs mailing list